Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeDatabaseConfig..::.SetCompression Method (BTreeCompressDelegate, BTreeDecompressDelegate)
BTreeDatabaseConfig Class See Also Send Feedback

Enable compression of the key/data pairs stored in the database, using the specified compression and decompression functions.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void SetCompression(
    	BTreeCompressDelegate compression,
    	BTreeDecompressDelegate decompression
    )

Visual Basic (Declaration)
    Public Sub SetCompression ( _
    	compression As BTreeCompressDelegate, _
    	decompression As BTreeDecompressDelegate _
    )

Visual C++
    public:
    void SetCompression(
    	BTreeCompressDelegate^ compression,
    	BTreeDecompressDelegate^ decompression
    )

#### Parameters

compression
  Type: BerkeleyDB..::.BTreeCompressDelegate
  The compression function

decompression
  Type: BerkeleyDB..::.BTreeDecompressDelegate
  The decompression function

# See Also

BTreeDatabaseConfig Class
SetCompression Overload
BerkeleyDB Namespace